package com.slodon.b2b2c.vo.msg;

import com.slodon.b2b2c.msg.pojo.SystemTplType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 封装通知类型VO对象
 */
@Data
public class TplTypeVO implements Serializable {
    private static final long serialVersionUID = 6520098524870706669L;

    @ApiModelProperty("消息模板分类编码")
    private String tplTypeCode;

    @ApiModelProperty("消息模板分类名称")
    private String tplName;

    @ApiModelProperty("消息模板分类来源 0==系统消息, 1==会员消息, 2==商户消息")
    private Integer tplSource;

    @ApiModelProperty("排序")
    private Integer sort;

    public TplTypeVO(SystemTplType systemTplType) {
        this.tplTypeCode = systemTplType.getTplTypeCode();
        this.tplName = systemTplType.getTplName();
        this.tplSource = systemTplType.getTplSource();
        this.sort = systemTplType.getSort();
    }
}
